Subject: bug#65459: completing-read INITIAL-VALUE unaware of COLLECTION and REQUIRE-MATCH

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Aug 2023 12:26:54 -0400

> Suppose I want to prefill the buffer with something, I should be allowed 
> to do that.

Of course, and we do allow that.
But you said:

    I like it, others don't like it.

so what happens when "others" use your code?
And what happens when you use others' code?

Neither is happy if the choice is made by the coder.  OTOH if the choice
is made by UI customization, then the coder doesn't need to worry about
it and the both you and others get the behavior they like.

> The default only shows up when instructed, so not really
> an automatic prefill of the minibuffer.

Whether the default only shows up when instructed is a UI issue, which
can/should be under control of a UI customization.

        Stefan